diff -pruN 8.1.0-2/debian/changelog 8.1.0-2ubuntu1/debian/changelog
--- 8.1.0-2/debian/changelog	2009-10-21 16:41:52.000000000 +0100
+++ 8.1.0-2ubuntu1/debian/changelog	2009-10-21 16:41:52.000000000 +0100
@@ -1,3 +1,9 @@
+twisted-web2 (8.1.0-2ubuntu1) karmic; urgency=low
+
+  * Regenerate the plugin cache in the postinst. LP: #361865.
+
+ -- Matthias Klose <doko@ubuntu.com>  Mon, 05 Oct 2009 23:42:38 +0200
+
 twisted-web2 (8.1.0-2) unstable; urgency=low
 
   Avoid md5/sha1 deprecation warnings.
diff -pruN 8.1.0-2/python-twisted-web2.postinst 8.1.0-2ubuntu1/python-twisted-web2.postinst
--- 8.1.0-2/python-twisted-web2.postinst	1970-01-01 01:00:00.000000000 +0100
+++ 8.1.0-2ubuntu1/python-twisted-web2.postinst	2009-10-21 16:41:52.000000000 +0100
@@ -0,0 +1,15 @@
+#! /bin/sh
+
+set -e
+
+#DEBHELPER#
+
+case "$1" in
+    configure)
+	for p in $(pyversions -i); do
+	    $p -c 'from twisted.plugin import IPlugin, getPlugins; list(getPlugins(IPlugin))' >/dev/null 2>&1 || true
+	done
+	;;
+esac
+
+exit 0
